Your private latest readings and chronological timeline
Latest readings exclude hidden and superseded records. Timeline is newest first; follow nextCursor for older readings. Use visibility=hidden for the owner's restorable hidden records. Full immutable history remains in private export and record history.
Authorization
bearer In: header
Query Parameters
1 <= value <= 10020^[A-Za-z0-9_-]+$1 <= length <= 512Value in
- "all"
- "food"
- "bp"
- "glucose"
- "weight"
- "other"
Value in
- "visible"
- "hidden"
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/me/passport"{ "latest": { "systolic": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } }, "diastolic": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } }, "glucose": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } }, "weight": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } }, "height": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } }, "pulse": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } } }, "timeline": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "entryId": "09a8b554-45ca-4bab-a638-265db4b3e828", "code": "8480-6", "valueNum": 0, "valueText": "string", "unit": "string", "effectiveAt": "2019-08-24T14:15:22Z", "recordedAt": "2019-08-24T14:15:22Z", "source": "healthkit", "confidence": 0, "supersedesId": "688cf67a-2e6c-4e49-8750-5bc8809fcd6f", "meal": { "names": [ "string" ], "mealType": "breakfast" } } ], "nextCursor": "string", "deletionRequest": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "status": "pending", "requestedAt": "2019-08-24T14:15:22Z" }}Save your setup state with optimistic concurrency; terminal sessions are immutable PATCH
Every question can be declined: send the question ids in declinedQuestionIds on the completing save and nothing is stored for them. Version 2 validates visible required questions, typed answers, exclusive options and explicit health-storage consent against the pinned revision. On a 409 read the latest session. Explicitly delete your setup data before starting over.
Read your legacy deletion request while its login is still valid GET
Requires a valid original login and forbids impersonation. Better Auth sessions are removed at completion; use the separate private receipt from /v1/me/account/deletion for post-deletion status. No account is created and no patient or receipt selector is accepted.